## LassoDstData LassoDstData — <dst:Data> |

## Functions

LassoDstData * | lasso_dst_data_new ()

## Types and Values

struct | LassoDstData

## Description

Figure 117. Schema fragment for dst:Data

    <xs:element name="Data" minOccurs="0" maxOccurs="unbounded">
      <xs:complexType>
        <xs:sequence>
          <xs:any minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID"/>
        <xs:attribute name="itemIDRef" type="IDReferenceType"/>
      </xs:complexType>
    </xs:element>

    Schema fragment (liberty-idwsf-utility-1.0-errata-v1.0.xsd)

    <xs:simpleType name="IDReferenceType">
      <xs:annotation>
        <xs:documentation> This type can be used when referring to elements that are
          identified using an IDType </xs:documentation>
        </xs:annotation>
      <xs:restriction base="xs:string"/>
    </xs:simpleType>

## Functions

### lasso_dst_data_new ()

    LassoDstData *
    lasso_dst_data_new (void);

## Types and Values

### struct LassoDstData

    struct LassoDstData {
    	LassoNode parent;

    	GList *any; /* of xmlNode* */

    	char *id;
    	char *itemIDRef;
    };